stm-2.4.4.1: Software Transactional Memory

Copyright | (c) The University of Glasgow 2005
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | non-portable (requires STM)
Safe Haskell | Trustworthy
Language | Haskell2010

Control.Concurrent.STM.TArray

Description

TArrays: transactional arrays, for use in the STM monad

Synopsis

- data TArray i e

# Documentation

data TArray i e Source

TArray is a transactional array, supporting the usual `MArray` interface for mutable arrays.

It is currently implemented as `Array ix (TVar e)`, but it may be replaced by a more efficient implementation in the future (the interface will remain the same, however).

Instances

MArray TArray e STM Source |
Ix i => Eq (TArray i e) Source |